View Issue Details

IDProjectCategoryView StatusLast Update
13992Bug reports[All Projects] Installationpublic2019-04-30 09:10
ReporterDanielBAssigned Toc_schmitz 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.15.x 
Summary13992: Error when installing LimeSurvey, converting nvarchar to datetime
Description

After selecting the database and providing the database credentials I receive the following error:

CDbCommand konnte das SQL-Statement nicht ausführen: SQLSTATE[22007]: [Microsoft][ODBC Driver 13 for SQL Server][SQL Server]Bei der Konvertierung eines nvarchar-Datentyps in einen datetime-Datentyp liegt der Wert außerhalb des gültigen Bereichs. #0 D:\ls_path\framework\db\CDbCommand.php(1278): CDbCommand->execute(Array) #1 D:\ls_path\installer\create-database.php(461): CDbCommand->insert('{{surveymenu}}', Array) #2 D:\ls_path\application\controllers\InstallerController.php(917): createDatabase(Object(DbConnection)) #3 D:\ls_path\application\controllers\InstallerController.php(519): InstallerController->_setup_tables('D:\ls_path...') #4 D:\ls_path\application\controllers\InstallerController.php(83): InstallerController->stepPopulateDb() #5 D:\ls_path\framework\web\CWebApplication.php(282): InstallerController->run('populatedb') #6 D:\ls_path\framework\web\CWebApplication.php(141): CWebApplication->runController('installer/popul...') #7 D:\ls_path\framework\base\CApplication.php(185): CWebApplication->processRequest() #8 D:\ls_path\index.php(194): CApplication->run() #9 {main}

Steps To Reproduce

Download the LimeSurvey release, copy the contents to a folder, browser to the URL of the LimeSurvey installation, select language, accept terms, check pre-installation requirements (all green except PHP ldap extension), provide correct crendetials for a database user with sufficient rights, click "next", click "create tables" for existing database --> error appears.

Additional Information

I am using these three additional PHP extensions:

extension=php_sqlsrv_72_ts_x64.dll
extension=php_pdo_sqlsrv_72_ts_x64.dll
extension=php_com_dotnet.dll

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.6+180821
I will donate to the project if issue is resolvedNo
BrowserFirefox 61.0.2
Database & DB-VersionMicrosoft SQL Server Express (64-bit) Version 14.0.1000.169
Server OS (if known)Windows Server 2016 Standard (10.0)
Webserver software & version (if known)Apache 2.4.34 (64 Bit)
PHP VersionPHP 7.2.9 (64 Bit)

Activities

DanielB

DanielB

2018-08-29 09:32

reporter   ~48907

Update: Same problem with LimeSurvey version 3.14.7+180827

c_schmitz

c_schmitz

2018-08-31 15:58

administrator   ~48924

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27879

c_schmitz

c_schmitz

2018-08-31 16:12

administrator   ~48925

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27880

Related Changesets

LimeSurvey: master 7377773e

2018-08-31 15:58:38

c_schmitz

Details Diff
Fixed issue 13992: Error when installing LimeSurvey and using MSSQL (message: "Error converting nvarchar to datetime") Affected Issues
13992
mod - application/controllers/InstallerController.php Diff File

LimeSurvey: master c2fe02c7

2018-08-31 16:12:36

c_schmitz

Details Diff
Fixed issue 13992: Error when installing LimeSurvey and using MSSQL (message: "Error converting nvarchar to datetime")
Dev Removed obsolete lines
Affected Issues
13992
mod - application/controllers/InstallerController.php Diff File

Issue History

Date Modified Username Field Change
2018-08-22 15:44 DanielB New Issue
2018-08-29 09:32 DanielB Note Added: 48907
2018-08-30 10:49 ollehar Assigned To => c_schmitz
2018-08-30 10:49 ollehar Status new => assigned
2018-08-31 15:58 c_schmitz Changeset attached => LimeSurvey master 7377773e
2018-08-31 15:58 c_schmitz Note Added: 48924
2018-08-31 15:58 c_schmitz Resolution open => fixed
2018-08-31 15:59 c_schmitz Status assigned => resolved
2018-08-31 15:59 c_schmitz Fixed in Version => 3.15.x
2018-08-31 16:12 c_schmitz Changeset attached => LimeSurvey master c2fe02c7
2018-08-31 16:12 c_schmitz Note Added: 48925
2019-04-30 09:10 c_schmitz Status resolved => closed